import { App } from 'vue'

export function preventClick(app: App){
    app.directive('debounce', {
        mounted(el, binding) {
            let timer : NodeJS.Timeout | null = null
            el.addEventListener('click', () => {
                debugger
                let firstClick: Boolean = !timer;
                if(firstClick){
                    binding.value
                }
                if(timer){
                    clearTimeout(timer)
                }
                timer = setTimeout(() => {
                    timer = null
                    if(!firstClick){
                        binding.value
                    }
                },3000);
            })
        }
    })
}
